<?php
function Addition($i,$j) // --- Déclaration de la fonction ---
{echo "    --> Dans la fonction : " ;
 $somme=$i+$j;
 echo "$i+$j=$somme".PHP_EOL;
 return $somme;
}
echo "Entrez 2 entiers :"; // Saisie de deux entiers
fscanf(STDIN,"%d %d",$a,$b);
echo "--- Appel type procédure ---".PHP_EOL ;
Addition($a,$b); //Premier appel
echo "--- Appel type fonction ---".PHP_EOL ; 
$resultat=Addition(2*$a,2*$b); //Second appel
echo "Retour de l'appel = $resultat".PHP_EOL ;
?>
